Loading...
Searching...
No Matches
MolEnumerator.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/MolBundle.h>`
`#include <vector>`
`#include <map>`
`#include <string>`
`#include <memory>`
`#include <limits>`

Go to the source code of this file.

## Classes

class | RDKit::MolEnumerator::MolEnumeratorOp
| abstract base class for the a molecule enumeration operation More...
class | RDKit::MolEnumerator::PositionVariationOp
| Molecule enumeration operation corresponding to position variation bonds. More...
class | RDKit::MolEnumerator::LinkNodeOp
| Molecule enumeration operation corresponding to LINKNODES. More...
class | RDKit::MolEnumerator::RepeatUnitOp
| Molecule enumeration operation corresponding to SRUs. More...
struct | RDKit::MolEnumerator::MolEnumeratorParams
| Parameters used to control the molecule enumeration. More...

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::MolEnumerator
namespace | RDKit::MolEnumerator::detail

## Functions

void | RDKit::MolEnumerator::detail::preserveOrigIndices (ROMol &mol)
void | RDKit::MolEnumerator::detail::removeOrigIndices (ROMol &mol)
RDKIT_MOLENUMERATOR_EXPORT MolBundle | RDKit::MolEnumerator::enumerate (const ROMol &mol, const std::vector< MolEnumeratorParams > &paramsList)
RDKIT_MOLENUMERATOR_EXPORT MolBundle | RDKit::MolEnumerator::enumerate (const ROMol &mol, size_t maxPerOperation=0)
MolBundle | RDKit::MolEnumerator::enumerate (const ROMol &mol, const MolEnumeratorParams &params)

## Variables

const std::string | RDKit::MolEnumerator::detail::idxPropName